Bug 1126044 - Deployment content new war cannot be displayed
Summary: Deployment content new war cannot be displayed
Keywords:
Status: CLOSED EOL
Alias: None
Product: JBoss Operations Network
Classification: JBoss
Component: Content
Version: JON 3.3.0
Hardware: Unspecified
OS: Unspecified
unspecified
low
Target Milestone: ---
: JON 3.4.0
Assignee: RHQ Project Maintainer
QA Contact: Mike Foley
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-01 16:49 UTC by Armine Hovsepyan
Modified: 2019-05-20 14:58 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-20 14:58:22 UTC
Type: Bug


Attachments (Terms of Use)
war-content (176.68 KB, image/png)
2014-08-01 16:49 UTC, Armine Hovsepyan
no flags Details
error_on_content (128.95 KB, application/octet-stream)
2014-09-19 10:34 UTC, Armine Hovsepyan
no flags Details
server.log (252.09 KB, text/plain)
2014-09-19 10:35 UTC, Armine Hovsepyan
no flags Details
agent.log (1.86 MB, text/plain)
2014-09-19 10:35 UTC, Armine Hovsepyan
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 1126460 None NEW deploying new app from subscription repo does nothing 2019-05-20 14:55:49 UTC
Red Hat Bugzilla 1144378 None CLOSED IllegalStateException while uploading new package to repository after deleting existing packages 2019-05-20 14:55:49 UTC

Internal Links: 1126460 1144378

Description Armine Hovsepyan 2014-08-01 16:49:08 UTC
Created attachment 923362 [details]
war-content

Description of problem:
Deployment content new war cannot be displayed

Version-Release number of selected component (if applicable):
JON 3.3 DR1 

How reproducible:
always

Steps to Reproduce:
1.  Start JBoss EAP 6.1 standalone server.
2.  Start JBoss ON 3.2 system.
3.  Import JBoss EAP server into inventory.
4.  Configure connection settings for newly imported resource.
5.  Deploy jboss-as-helloworld.war to JBoss EAP server.

6.  Create test repository from Administration > Content / Repositories:

    *   *Name*: `Test Repo`

7.  From Test Repo upload a new version of helloworld WAR:

    *   *Upload File*:  jboss-as-helloworld-1.0.1.war (any WAR will do)
    *   *Type*: *File [Deployment:JBossAS7]*

8.  Subscribe the imported JBoss EAP server to *Test Repo*:
    
    1.  Under *Resources Subscribed To This Repository* click *SUBSCRIBE...* button.
    2.  For search, enter `jboss-as-helloworld.war` and set type drop-down to *Service* and click search.
    3.  Check jboss-as-helloworld.war resource which was returned.
    4.  Click *SUBSCRIBE SELECTED*.
    
9.  Navigate to the content page of the jboss-as-helloworld.war resource.
10. Select the new tab.
11. Check one of the new versions of jboss-as-helloworld.war (jboss-as-helloworld-1.0.1.war).


Actual results:
old jsf logout page is visible -- see screen-shot attached

Expected results:
deployment war data displayed

Additional info:

Comment 2 Armine Hovsepyan 2014-09-19 10:34:12 UTC
issue is visible in JON 3.3 ER03
screen-shot, server and agent logs attached

Comment 3 Armine Hovsepyan 2014-09-19 10:34:44 UTC
Created attachment 939197 [details]
error_on_content

Comment 4 Armine Hovsepyan 2014-09-19 10:35:06 UTC
Created attachment 939198 [details]
server.log

Comment 5 Armine Hovsepyan 2014-09-19 10:35:30 UTC
Created attachment 939199 [details]
agent.log

Comment 6 Thomas Segismont 2014-09-19 16:12:18 UTC
I can't reproduce on a fresh master build. It looks like you used the same environment as in Bug 1126460?

https://bugzilla.redhat.com/show_bug.cgi?id=1126460#c8

Comment 7 Armine Hovsepyan 2014-09-22 07:39:02 UTC
Yes, Environment for both BZ is the same. JON 3.3 ER03

Comment 8 Juraci Paixão Kröhling 2014-10-06 11:33:38 UTC
I was also not able to reproduce the described behavior.

Comment 11 Filip Brychta 2019-05-20 14:58:22 UTC
JBoss ON is coming to the end of its product life cycle. For more information regarding this transition, see https://access.redhat.com/articles/3827121.
This bug report/request is being closed. If you feel this issue should not be closed or requires further review, please create a new bug report against the latest supported JBoss ON 3.3 version.


Note You need to log in before you can comment on or make changes to this bug.